Message: Registering graphics system with SLC5 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Registering graphics system with SLC5 

Forum: Documentation and Examples
Date: 21 Sep, 2011
From: Tobias Kunz <Tobias Kunz>

Hello,

at the moment I'm trying to register OpenGL graphics system for geant4. I'm using SLC5 and after changing the graphics card (ATI exchanged by NVIDIA), glxgears work fine. At first, i did both ways, cmake & ./Configure to install geant4. In Eclipse, geant still works, but no OpenGL seems to be registered:

You have successfully registered the following graphics systems.
Current available graphics systems are:
  ASCIITree (ATree)
  DAWNFILE (DAWNFILE)
  G4HepRep (HepRepXML)
  G4HepRepFile (HepRepFile)
  RayTracer (RayTracer)
  VRML1FILE (VRML1FILE)
  VRML2FILE (VRML2FILE)
  gMocrenFile (gMocrenFile)

The same seems to happen using the Configure script though I set "Enable OpenGl ...." and set the location to the proposed one. Compiling using the installation with ./Configure always gives me an error:

$work/tmp/Linux-g++/A01app/exe/A01app.o: In function `G4VisExecutive::RegisterGraphicsSystems()': A01app.cc:(.text._ZN14G4VisExecutive23RegisterGraphicsSystemsEv[G4VisExecutive::RegisterGraphicsSystems()]+0x120): undefined reference to `G4FukuiRenderer::G4FukuiRenderer()' A01app.cc:(.text._ZN14G4VisExecutive23RegisterGraphicsSystemsEv[G4VisExecutive::RegisterGraphicsSystems()]+0x30a): undefined reference to `G4VRML1::G4VRML1()' A01app.cc:(.text._ZN14G4VisExecutive23RegisterGraphicsSystemsEv[G4VisExecutive::RegisterGraphicsSystems()]+0x32a): undefined reference to `G4VRML2::G4VRML2()' collect2: ld returned 1 exit status make: *** [$work/bin/Linux-g++/A01app] Error 1

FukuiRenderer, G4VRML1&G4VRML2 are disabled, so has anybody an idea, why can there be an error?

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Registering graphics system with SLC5   (Joseph Perl - 26 Sep, 2011)
 Add Message Add Message
to: "Registering graphics system with SLC5"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]